# Generated from ranked-model-0.4.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ranked-model

Name: rubygem-%{gem_name}
Version: 0.4.10
Release: 1%{?dist}
Summary: An acts_as_sortable replacement built for Rails 4.2+
License: MIT
URL: https://github.com/mixonic/ranked-model
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(database_cleaner) >= 1.7.0
# BuildRequires: rubygem(database_cleaner) < 1.8
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
ranked-model is a modern row sorting library built for Rails 4.2+. It uses
ARel aggressively and is better optimized than most other libraries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/rails
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.mkd
%{gem_instdir}/ranked-model.gemspec
%{gem_instdir}/spec

%changelog
* Thu Aug 08 2024 mockbuilder - 0.4.10-1
- Initial package
